package com.fjhx.entity.stock;

import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 库存
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Stock extends BaseEntity {

    /**
     * 物品id
     */
    private Long goodsId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 仓库id
     */
    private Long warehouseId;

}
