package com.fjhx.entity.stock;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fjhx.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 出入库流水记录
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class StockJournal extends BaseEntity {


    /**
     * 出入库类型 0出库 1入库
     */
    private Integer type;

    /**
     * 详细类型
     */
    private Integer detailsType;

    /**
     * 物品id
     */
    private Long goodsId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 变更数量
     */
    private BigDecimal changeQuantity;

    /**
     * 备注
     */
    private String remarks;


}
