package com.fjhx.service.warehouse;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.warehouse.Warehouse;
import com.fjhx.params.warehouse.WarehouseVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 仓库 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface WarehouseService extends BaseService<Warehouse> {

    Page<Warehouse> getPage(Map<String, Object> condition);

    void add(WarehouseVo warehouseVo);

    void edit(WarehouseVo warehouseVo);

    void delete(WarehouseVo warehouseVo);

    List<Warehouse> select();
}
